CONN_PROTO_CLOSE_FUNC(3)

PROTO_FUNC
conn_PROTO_close_func - Connection close event callback.

SYNOPSIS
#include <karma_conn.h>

void conn_PROTO_close_func

(Connection connection, void *info, Channel channel)

DESCRIPTION
This routine is called when a connection is closed. When this routine is called, this is the last chance to read any buffered data from the channel associated with the connection object.

connection
    The connection object.

info
    The arbitrary connection information pointer.

channel
    The channel that was remotely closed, causing the connection to be closed. This may be NULL, indicating that the connection was closed locally.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/